typedef int elem;

typedef struct bloco {
        elem info;
        struct bloco *esq, *dir;
} no;

typedef no *Arvore;


void cria(Arvore*);
int IsEmpty(Arvore);
no* busca(Arvore,elem);
no* busca_pai(Arvore,elem);
void inserir_esq(Arvore*,elem,elem,int*);
void inserir_dir(Arvore*,elem,elem,int*);
void imprimir(Arvore);
int altura(Arvore);
void finaliza(Arvore*);
void remover(Arvore*,elem,int*);
void percurso_pre_ordem(Arvore);
void percurso_em_ordem(Arvore);
void percurso_pos_ordem(Arvore);
